Bug 521066 - repoquery traceback: AttributeError: 'YumBaseQuery' object has no attribute 'setCacheDir'
repoquery traceback: AttributeError: 'YumBaseQuery' object has no attribute '...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-03 08:35 EDT by Till Maas
Modified: 2014-01-21 18:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-12 12:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2009-09-03 08:35:47 EDT
Description of problem:
repoquery returns a python traceback if I want to use it:
# repoquery foo
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 853, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 790, in main
    if not repoq.setCacheDir(opts.tempcache):
AttributeError: 'YumBaseQuery' object has no attribute 'setCacheDir'


Version-Release number of selected component (if applicable):
yum-utils-1.1.23-1.fc10 (from updates-testing)
yum-3.2.23-3.fc10


How reproducible:
always

Steps to Reproduce:
1. repoquery foo
  
Actual results:
Python traceback

Expected results:
some useful info

Additional info:
this happens both as user and as root and also after running "yum clean all".
Comment 1 Tim Lauridsen 2009-09-03 08:56:37 EDT
I can reproduce the issue in F11, but it is fixed running again YUM-3_2_X HEAD
So it look like yum-utils should requere yum-3.2.24 (not yet released).
I should work in rawhide there contains patches from YUM-3_2_X HEAD.
i have requested an unpushed yum-utils-1.1.23 from F10 and F11.
Comment 2 seth vidal 2009-10-12 12:12:32 EDT
I believe this is currently fine in both f10 and f11  currently

If we release yum 3.2.24 for f10 then it'll be fine there if/when we push a yum-utils there.

Note You need to log in before you can comment on or make changes to this bug.